---
api: 'Business API'
---

# Simulate an account top-up (Sandbox only)

Simulate a top-up of your account in the Sandbox environment. 

This is useful during testing, when you run out of money in your test account and need to add more.

For more information, see the guides: [Test your flows with simulations (Sandbox only)](/docs/guides/manage-accounts/api-usage-and-testing/test-flows-with-simulations).

## Endpoint

POST `/sandbox/topup`

## Request body

Top-up details

### Attributes

- `account_id` (string)
    The ID of the account that you want to top up.
- `amount` (number)
    The amount with which you want to top up the account.
- `currency` (string)
    The currency of the account that you want to top up.
- `reference` (string, optional)
    A short description for your top up.
- `state` (enum, optional)
    The state to which you want to set the top-up transaction.
    Possible enum values:

    - `pending`
    - `completed`
    - `reverted`
    - `failed`

## Returns

### 200

Information about the top-up state

#### Response attributes

- `id` (string)
    The ID of the account that was topped up.
- `state` (enum)
    The state of the top-up transaction.
    Possible enum values:

    - `pending`
    - `completed`
    - `reverted`
    - `failed`
- `created_at` (string)
    The date and time the transaction was created in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
- `completed_at` (string, optional)
    The date and time the transaction was completed in [ISO 8601](https://en.wikipedia.org/wiki/ISO_8601) format.
